petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerAndFormatDestroy

Destroys a PetscViewerAndFormat struct.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerAndFormatDestroy(PetscViewerAndFormat **vf)

Collective on PetscViewer

### Input Parameters

viewer -the PetscViewerAndFormat to be destroyed.

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDrawOpen(), PetscViewerAndFormatCreate()

Level:developer
Location:src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex2f.F.html
src/snes/examples/tutorials/ex30.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex12.c.html